Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: nextcloud-client segmentation fault

  1. #1

    Default nextcloud-client segmentation fault

    my system is running opensuse leap 42.1 with plasma 5.8.0:
    Laptop=Dell latitude E6510, RAM=8Gb, GPU=GT218 NVS 3100M, CPU=i7 Q 720 @ 1.60GHz
    upgraded 13.2 to leap 42.1, using wolfi repos. I'm running KDE 4.14.18 and plasma 5.8.0, KDE frameworks 5.27.0, KDE applications 16.08.2, Kernel 4.1.31-30-default and nvidia drivers


    after this thread I uninstalled owncloud-client and installed
    nextcloud-client and all the nextcloud related
    libnextcloudsync0
    nautilus-extension-nextcloud
    nextcloud-client-dolphin
    nextcloud-client-lang
    from here: http://download.opensuse.org/reposit...USE_Leap_42.1/

    but nextcloud-client start and after few seconds disappear, if I launch it by konsole it gives me segmentation fault
    Code:
    pla@suseST-pla:~> nextcloud
    Segmentation fault
    as I use wolfi repos I don't know if I am in 42.1 or in tumbleweed I also installed nextcloud-client from here:
    http://download.opensuse.org/reposit...SE_Tumbleweed/
    but the result doesn't change
    how can I have a working nextcloud-client ??
    manythanks, ciao, pier

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,845
    Blog Entries
    14

    Default Re: nextcloud-client segmentation fault

    Well, mixing with other versions ( did you check what else was pulled in ?) is a recipy for breaking things, yes. We cannot see which package comes from which repo, so anything would be just shooting in the dark.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

    Default Re: nextcloud-client segmentation fault

    Quote Originally Posted by Knurpht View Post
    Well, mixing with other versions ( did you check what else was pulled in ?) is a recipy for breaking things
    mmm, it's true, no, I don't know what other was pulled in... is there a way to know?

    Quote Originally Posted by Knurpht View Post
    yes. We cannot see which package comes from which repo, so anything would be just shooting in the dark.
    as your opinion, with wolfi repos, I'm with 42.1 or tumbleweed??

  4. #4
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,845
    Blog Entries
    14

    Default Re: nextcloud-client segmentation fault

    Quote Originally Posted by pier_andreit View Post

    as your opinion, with wolfi repos, I'm with 42.1 or tumbleweed??
    Opinion is not involved here, the system speaks
    Code:
    cat /etc/os-release
    Have to say though, all machines here run Leap 42.1 + Packman, except my own laptop, which has TW. Nextcloud client runs fine on my wife's Leap ( the one from the network repo ), and on my TW ( from the distribution repo ), so I suspect your system has moved away from the stock packages enough to cause the client to crash.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  5. #5

    Default Re: nextcloud-client segmentation fault

    Hi, insert the following code into /home/$USER/.local/share/data/ownCloud/owncloud.cfg:

    [proxy]
    type=2


    From: https://github.com/owncloud/client/issues/5128

  6. #6

    Default Re: nextcloud-client segmentation fault

    Quote Originally Posted by luciano_cardoso View Post
    Hi, insert the following code into /home/$USER/.local/share/data/ownCloud/owncloud.cfg:

    [proxy]
    type=2


    From: https://github.com/owncloud/client/issues/5128
    Hi, manythanks luciano, my owncloud-client works, it is nextcloud-client that gives segmantation fault....
    ciao, pier

  7. #7
    Join Date
    Sep 2010
    Location
    Germany
    Posts
    21

    Default Re: nextcloud-client segmentation fault

    pier andreit wrote:

    >
    >
    > my system is running opensuse leap 42.1 with plasma 5.8.0:
    > Laptop=Dell latitude E6510, RAM=8Gb, GPU=GT218 NVS 3100M, CPU=i7 Q 720 @
    > 1.60GHz
    > upgraded 13.2 to leap 42.1, using wolfi repos. I'm running KDE 4.14.18
    > and plasma 5.8.0, KDE frameworks 5.27.0, KDE applications 16.08.2,
    > Kernel 4.1.31-30-default and nvidia drivers
    >
    > after 'this thread ' (http://tinyurl.com/zcfu5xb)I uninstalled
    > owncloud-client and installed
    > nextcloud-client and all the nextcloud related
    > libnextcloudsync0
    > nautilus-extension-nextcloud
    > nextcloud-client-dolphin
    > nextcloud-client-lang
    > from here:
    > http://download.opensuse.org/reposit...USE_Leap_42.1/
    >
    > but nextcloud-client start and after few seconds disappear, if I launch
    > it by konsole it gives me segmentation fault
    >
    > Code:
    > --------------------
    > pla@suseST-pla:~> nextcloud
    > Segmentation fault
    >
    > --------------------
    >
    > as I use wolfi repos I don't know if I am in 42.1 or in tumbleweed I
    > also installed nextcloud-client from here:
    > http://tinyurl.com/z7qf77r
    > but the result doesn't change
    > how can I have a working nextcloud-client ??
    > manythanks, ciao, pier


    Use nextcloud instead owncloud
    See comments at owncloud repo

    Use it from here: serverhp:applications

    OneClick 42.1:
    https://software.opensuse.org/ymp/se...uery=nextcloud

    OneClick Tumbleweed:
    https://software.opensuse.org/ymp/se...uery=nextcloud

    I use it under Leap 42.1 many month without problems.

    Regards
    Eric


  8. #8

    Default Re: nextcloud-client segmentation fault

    Quote Originally Posted by ecsos View Post
    Use nextcloud instead owncloud
    See comments at owncloud repo

    Use it from here: serverhp:applications

    OneClick 42.1:
    https://software.opensuse.org/ymp/se...uery=nextcloud

    OneClick Tumbleweed:
    https://software.opensuse.org/ymp/se...uery=nextcloud

    I use it under Leap 42.1 many month without problems.

    Regards
    Eric
    manythanks eric, but I'm looking for nextcloud-client, in the repo you suggested there isn't the client

  9. #9
    Join Date
    Sep 2010
    Location
    Germany
    Posts
    21

    Default Re: nextcloud-client segmentation fault

    pier andreit wrote:

    >
    >
    > ecsos;2796818 Wrote:
    >>
    >> Use nextcloud instead owncloud
    >> See comments at owncloud repo
    >>
    >> Use it from here: serverhp:applications
    >>
    >> OneClick 42.1:
    >> http://tinyurl.com/h6nn5kt
    >>
    >> OneClick Tumbleweed:
    >> http://tinyurl.com/hteg8kj
    >>
    >> I use it under Leap 42.1 many month without problems.
    >>
    >> Regards
    >> Eric

    > manythanks eric, but I'm looking for nextcloud-client, in the repo you
    > suggested there isn't the client


    Yes.
    Of corse there is nextcloud-client.

    Or search nextcloud under
    https://software.opensuse.org/search

    Regards
    Eric

  10. #10
    Join Date
    Sep 2010
    Location
    Germany
    Posts
    21

    Default Re: nextcloud-client segmentation fault

    pier andreit wrote:

    >
    >
    > ecsos;2796818 Wrote:
    >>
    >> Use nextcloud instead owncloud
    >> See comments at owncloud repo
    >>
    >> Use it from here: serverhp:applications
    >>
    >> OneClick 42.1:
    >> http://tinyurl.com/h6nn5kt
    >>
    >> OneClick Tumbleweed:
    >> http://tinyurl.com/hteg8kj
    >>
    >> I use it under Leap 42.1 many month without problems.
    >>
    >> Regards
    >> Eric

    > manythanks eric, but I'm looking for nextcloud-client, in the repo you
    > suggested there isn't the client


    Ah. sorry. My failure.
    The links was for server. :-)

    The right links are:
    For 42.1:
    https://software.opensuse.org/ymp/ne...xtcloud-client

    For Tumbleweed is the client in repo.
    https://software.opensuse.org/ymp/op...xtcloud-client


    Regards
    Eric



Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •